config:security

NAME
config:security - This command enables you to apply Traffic Server and Traffic Manager access configuration file settings to Traffic Server.

SYNOPSIS
config:security [ip-allow | mgmt-allow | admin] [url-config-file]

DESCRIPTION
The config:security command enables you to indicate from what URL Traffic Server should retrieve the configuration file (IP_allow) that controls client access to the Traffic Server proxy cache. The command also enables you to indicate from what URL Traffic Server should retrieve the configuration file (mgmt_allow) that controls remote host access to the Traffic Manager UI. Finally, the config:security command enables you to indicate from what URL Traffic Server should retrieve the configuration file (admin) (password) that controls administrator access to Traffic Manager activities.

OPTIONS
The following options are supported for the config:security command:

  ip-allow <url>
Specifies the configuration file that controls client access to the Traffic Server proxy cache.

  mgmt-allow <url>
Specifies the configuration file that controls remote host access to the Traffic Manager UI.

  admin <url>
Specifies the configuration file that controls administrator access to Traffic Manager activities.

  password <string>
Specifies the administrator password that the administrator must use to access the Traffic Manager UI.

EXAMPLES

  Example 1. Locating the access file to specify client access

traffic_shell> config:security ip-allow http://something.com/ip_allow.config
traffic_shell>

SEE ALSO
show:security